const sonarqubeScanner = require('sonarqube-scanner');
sonarqubeScanner(
  {
    projectKey: 'campuscard-mobile-app',
    serverUrl: 'http://141.20.187.200:9091',
    token: '76e3f6f578df63dfd4a2faaa306507d75dd736f4',
    options: {
      'sonar.sources': 'src',
      'sonar.branch.name': 'dev',
      'sonar.inclusions': 'src/**', // Entry point of your code
      // 'sonar.exclusions': 'src/assets/**', // Entry point of your code which you want to exclude
      // "sonar.exclusions": "src/assets/**,**/*.spec.ts,encryption.service.ts", // Entry point of your code which you want to exclude
      "sonar.exclusions": "src/assets/**,**/*.spec.ts", // Entry point of your code which you want to exclude
      "sonar.sources.exclusions": "src/assets/**,**/*.spec.ts", // Entry point of your code which you want to exclude
      'sonar.language': 'ts',
      'sonar.tests': 'src',
      'sonar.test.inclusions': 'src/**/*.spec.ts',
      'sonar.testExecutionReportPaths': 'reports/ut_report.xml', // Entry point of test report xml file 'sonar.'sonar.
      'typescript.lcov.reportPaths': 'coverage/{project-name}/lcov.info', // Entry point of coverage report lcov file also added project 'coverage/project-name/lcov.info
    },
  },
  () => { }
  // () => process.exit()
);