import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { BlockCardPageRoutingModule } from './block-card-routing.module';
import { BlockCardPage } from './block-card.page';
import { TranslateModule } from '@ngx-translate/core';
import { NgMaterialModule } from 'src/app/ng-material.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    BlockCardPageRoutingModule,
    TranslateModule.forChild(),
    NgMaterialModule
  ],
  declarations: [BlockCardPage]
})
export class BlockCardPageModule {}
