import { TestBed } from '@angular/core/testing';

import { EscFacade } from './esc-facade.service';
import { StorageService } from 'src/app/storage/storage-service.service';

describe('EscFacadeService', () => {
  let service: EscFacade;
  let storageServiceSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['select']);
    TestBed.configureTestingModule({
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
      ]
    });
    service = TestBed.inject(EscFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
