import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { IonicModule, NavController } from '@ionic/angular';
import { NavMock } from 'src/app/test-config/mocks-ionic';
import { EscFacade } from './esc-facade.service';

import { EscPage } from './esc.page';

describe('EscPage', () => {
  let component: EscPage;
  let fixture: ComponentFixture<EscPage>;
  let escFacadeSpy;


  beforeEach(waitForAsync(() => {
    escFacadeSpy = jasmine.createSpyObj('EscFacade', ['getEscIdentifier']);
    TestBed.configureTestingModule({
      declarations: [ EscPage ],
      imports: [IonicModule.forRoot()],
      providers: [
        { provide: EscFacade, useValue: escFacadeSpy },
        { provide: NavController, useClass: NavMock },
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(EscPage);
    component = fixture.componentInstance;
    fixture.detectChanges();
  }));

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
