import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class LibraryStore {
  private hceActive = new BehaviorSubject<boolean>(false);
  isHceToggleOn() { return this.hceActive.asObservable(); }
  setHceToggleOn(value: boolean) { this.hceActive.next(value); } 
}