import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { MyCardPageRoutingModule } from './my-card-routing.module';
import { MyCardPage } from './my-card.page';
import { QRCodeSVGModule } from 'ngx-qrcode-svg';
import { TranslateModule } from '@ngx-translate/core';
import { NgMaterialModule } from 'src/app/ng-material.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    MyCardPageRoutingModule,
    QRCodeSVGModule,
    TranslateModule.forChild(),
    NgMaterialModule
  ],
  declarations: [MyCardPage]
})
export class MyCardPageModule {}
