import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { IonicModule } from '@ionic/angular';
import { TranslateModule } from '@ngx-translate/core';
import { SupportFacade } from './support-facade.service';

import { SupportPage } from './support.page';

describe('SupportPage', () => {
  let component: SupportPage;
  let fixture: ComponentFixture<SupportPage>;
  let supportFacadeSpy;

  beforeEach(waitForAsync(() => {
    supportFacadeSpy = jasmine.createSpyObj('SupportFacade', ['getUni']);
    TestBed.configureTestingModule({
      declarations: [SupportPage],
      imports: [
        IonicModule.forRoot(),
        TranslateModule.forRoot()
      ],
      providers: [
        { provide: SupportFacade, useValue: supportFacadeSpy },

      ]
    }).compileComponents();

    fixture = TestBed.createComponent(SupportPage);
    component = fixture.componentInstance;
    fixture.detectChanges();
  }));

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
