import { CardData, Uni } from '../types';

export class CoreState {

  public readonly APP_LANGUAGE: string;
  public readonly SELECTED_UNI: Uni;
  public readonly API_TOKEN: string;
  public readonly CARD_DATA: CardData;
  public readonly IS_ESC_ENABLED: boolean;
  public readonly ESC_NUMBER: string;
  public readonly ESC_IDENTIFIER: string;
  public readonly CARD_IS_BLOCKED: boolean;
  public readonly HCE_IS_ACTIVE: boolean;

  constructor() {
    // set initial state
    this.APP_LANGUAGE = undefined;
    this.SELECTED_UNI = undefined;
    this.API_TOKEN = undefined;
    this.CARD_DATA = undefined;
    this.IS_ESC_ENABLED = undefined;
    this.ESC_NUMBER = undefined;
    this.ESC_IDENTIFIER = undefined;
    this.CARD_IS_BLOCKED = undefined;
    this.HCE_IS_ACTIVE = undefined;
  }
}
