import { TestBed } from '@angular/core/testing';
import { Storage } from '@ionic/storage';

import { StorageService } from './storage-service.service';

describe('StorageService', () => {
  let service: StorageService;
  let storageSpy;

  beforeEach(() => {
    storageSpy = jasmine.createSpyObj('Storage', {
      'get': Promise.resolve(),
      'set': Promise.resolve(),
      'remove': Promise.resolve()
    });
    TestBed.configureTestingModule({
      providers: [
        { provide: Storage, useValue: storageSpy }
      ]
    });
    // spyOn(storageSpy, 'get').and.returnValue('');
    service = TestBed.inject(StorageService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
