@echo off

echo ########################################
echo Build ionic app
echo ########################################
:: Generate 'www' (dist-like) folder with generated webapp:
call ionic build

echo ########################################
echo Build android app
echo ########################################
:: Generate native android app:
call ionic cap build android --no-open
:: Ensure plugins are found:
call npx cap sync android

echo ########################################
echo Copy icon assets
echo ########################################
:: Copy assets for icons and splashscreen:
call cordova-res android --skip-config --copy

echo ########################################
echo Copy background color
echo ########################################
:: Copy background setting for android adaptive icons:
xcopy .\resources\android\ic_launcher_background.xml .\android\app\src\main\res\values\ /Y

echo ########################################
echo Open android studio
echo ########################################
:: Open android studio:
call ionic cap open android

pause