#! /bin/bash

echo "########################################"
echo "Build ionic app"
echo "########################################"
# Generate 'www' (dist-like) folder with generated webapp:
ionic build

echo "########################################"
echo "Build android app"
echo "########################################"
# Generate native android app:
ionic cap build android --no-open
# Ensure plugins are found:
npx cap sync android

echo "########################################"
echo "Copy icon assets"
echo "########################################"
# Copy assets for icons and splashscreen:
cordova-res android --skip-config --copy
# Copy background setting for android adaptive icons:
cp ./resources/android/ic_launcher_background.xml ./android/app/src/main/res/values/

echo "########################################"
echo "Open android studio"
echo "########################################"
# Open android studio:
ionic cap open android