import { Uni } from 'src/app/types';
import { SupportEntryType } from 'src/app/types';

export const EXAMPLE: Uni = {
  name: 'Universität',
  id: 'example',
  apiUrl: 'http://141.20.3.150:8080/edssi/api/', //change this to the location of your backend server
  supportEntries: [
    {
      type: SupportEntryType.REGULAR,
      translationKey: "example.regular"
    },
    {
      type: SupportEntryType.LINK,
      translationKey: "example.link",
      link: 'https://example.com/'
    },
    {
      type: SupportEntryType.EMAIL,
      translationKey: "example.email",
      email: 'support@example.com'
    }
  ]
};

export const ALL_UNIS_STATIC_DATA: Uni[] = [
  EXAMPLE
]
