import { TestBed } from '@angular/core/testing';
import { RouterTestingModule } from "@angular/router/testing";

import { LoggedInGuard } from './logged-in.guard';
import { StorageService } from './storage/storage-service.service';

describe('LoggedInGuard', () => {
  let guard: LoggedInGuard;
  let storageServiceSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['setAppLanuage', 'getAppLanguage']);
    TestBed.configureTestingModule({
      imports: [
        RouterTestingModule.withRoutes([]),
      ],
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
      ]
    });
    guard = TestBed.inject(LoggedInGuard);
  });

  it('should be created', () => {
    expect(guard).toBeTruthy();
  });
});
