import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class BlockCardStore {

  private passwordConfirmInProgress = new BehaviorSubject<boolean>(false);

  isPasswordConfirmInProgress() {
    return this.passwordConfirmInProgress.asObservable();
  }

  setPasswordConfirmInProgress(isPasswordConfirmInProgress: boolean) {
    this.passwordConfirmInProgress.next(isPasswordConfirmInProgress);
  }

}
