import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
    providedIn: 'root'
})
export class EscStore {

    private escDataUpdateFailed = new BehaviorSubject<boolean>(false);
    isEscDataUpdateFailed() { return this.escDataUpdateFailed.asObservable(); }
    setEscDataUpdateFailed(value: boolean) { this.escDataUpdateFailed.next(value); }

    private escDataUpdateInProgress = new BehaviorSubject<boolean>(false);
    isEscDataUpdateInProgress() { return this.escDataUpdateInProgress.asObservable(); }
    setEscDataUpdateInProgress(value: boolean) { this.escDataUpdateInProgress.next(value); }

}
