import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { EscPageRoutingModule } from './esc-routing.module';
import { EscPage } from './esc.page';
import { QRCodeSVGModule } from 'ngx-qrcode-svg';
import { TranslateModule } from '@ngx-translate/core';
import { NgMaterialModule } from 'src/app/ng-material.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    EscPageRoutingModule,
    QRCodeSVGModule,
    TranslateModule.forChild(),
    NgMaterialModule
  ],
  declarations: [EscPage]
})
export class EscPageModule {}
