import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { LibraryPageRoutingModule } from './library-routing.module';
import { LibraryPage } from './library.page';
import { QRCodeSVGModule } from 'ngx-qrcode-svg';
import { TranslateModule } from '@ngx-translate/core';
import { NgMaterialModule } from 'src/app/ng-material.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    LibraryPageRoutingModule,
    QRCodeSVGModule,
    TranslateModule.forChild(),
    NgMaterialModule
  ],
  declarations: [LibraryPage]
})
export class LibraryPageModule {}
