import { TestBed } from '@angular/core/testing';
import { StorageService } from 'src/app/storage/storage-service.service';
import { MenuFacade } from './menu-facade.service';

describe('MenuFacadeService', () => {
  let service: MenuFacade;
  let storageServiceSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['todo']);
    TestBed.configureTestingModule({
      providers: [
        { provide: StorageService, useValue: storageServiceSpy }
      ]
    });
    service = TestBed.inject(MenuFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
