import { TestBed } from '@angular/core/testing';
import { KmsApi } from 'src/app/apis/kms.service';
import { StorageService } from 'src/app/storage/storage-service.service';

import { MyCardFacade } from './my-card-facade.service';

describe('MyCardFacadeService', () => {
  let service: MyCardFacade;
  let storageServiceSpy;
  let kmsApiSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['todo']);
    TestBed.configureTestingModule({
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
        { provide: KmsApi, useValue: kmsApiSpy },
      ]
    });
    service = TestBed.inject(MyCardFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
