import { TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { TranslateModule } from '@ngx-translate/core';
import { StorageService } from 'src/app/storage/storage-service.service';

import { SettingsFacade } from './settings-facade.service';

describe('SettingsFacade', () => {
  let service: SettingsFacade;
  let storageServiceSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['todo']);
    TestBed.configureTestingModule({
      imports: [
        RouterTestingModule.withRoutes([]),
        TranslateModule.forRoot(),
      ],
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
      ]
    });
    service = TestBed.inject(SettingsFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
