import { TestBed } from '@angular/core/testing';
import { StorageService } from 'src/app/storage/storage-service.service';
import { SupportFacade } from './support-facade.service';

describe('SupportFacadeService', () => {
  let service: SupportFacade;
  let storageServiceSpy;

  beforeEach(() => {
    storageServiceSpy = jasmine.createSpyObj('StorageService', ['todo']);
    TestBed.configureTestingModule({
      providers: [
        { provide: StorageService, useValue: storageServiceSpy },
      ]
    });
    service = TestBed.inject(SupportFacade);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
